opencv 2.2.0

- Main Page
- Related Pages
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Friends Macros Pages
Public Member Functions | Protected Member Functions | Protected Attributes | List of all members
cv::FastFeatureDetector Class Reference

`#include <features2d.hpp>`

Inheritance diagram for cv::FastFeatureDetector:

## Public Member Functions
| FastFeatureDetector (int threshold=10, bool nonmaxSuppression=true)
virtual void | read (const FileNode &fn)
virtual void | write (FileStorage &fs) const
Public Member Functions inherited from cv::FeatureDetector
void | detect (const Mat &image, vector< KeyPoint > &keypoints, const Mat &mask=Mat()) const
void | detect (const vector< Mat > &images, vector< vector< KeyPoint > > &keypoints, const vector< Mat > &masks=vector< Mat >()) const
virtual | ~FeatureDetector ()

## Protected Member Functions
virtual void | detectImpl (const Mat &image, vector< KeyPoint > &keypoints, const Mat &mask=Mat()) const

## Protected Attributes
bool | nonmaxSuppression
int | threshold

## Additional Inherited Members
Static Public Member Functions inherited from cv::FeatureDetector
static Ptr< FeatureDetector > | create (const string &detectorType)
Static Protected Member Functions inherited from cv::FeatureDetector
static void | removeInvalidPoints (const Mat &mask, vector< KeyPoint > &keypoints)

## Constructor & Destructor Documentation

cv::FastFeatureDetector::FastFeatureDetector | ( | int | threshold = `10`,
|  | bool | nonmaxSuppression = `true`
| ) |  |

## Member Function Documentation

virtual void cv::FastFeatureDetector::detectImpl | ( | const Mat & | image,
|  | vector< KeyPoint > & | keypoints,
|  | const Mat & | mask = `Mat()`
| ) |  | const
| protected virtual

Implements cv::FeatureDetector.

virtual void cv::FastFeatureDetector::read | ( | const FileNode & | fn | ) |
| virtual

Reimplemented from cv::FeatureDetector.

virtual void cv::FastFeatureDetector::write | ( | FileStorage & | fs | ) | const
| virtual

Reimplemented from cv::FeatureDetector.

## Member Data Documentation

bool cv::FastFeatureDetector::nonmaxSuppression
| protected

int cv::FastFeatureDetector::threshold
| protected

The documentation for this class was generated from the following file:

- /usr/obj/OpenCV-2.2.0/OpenCV-2.2.0/modules/features2d/include/opencv2/features2d/features2d.hpp